Arch Remove/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "==Descriere==")
(Created page with "Instrumentele de eliminare vă permit să efectuați două tipuri de operații: * Eliminați o subcomponentă dintr-un obiect Arch, de exemplu, scoateți o cutie adăugată pe...")
Line 4: Line 4:
==Descriere==
==Descriere==


Instrumentele de eliminare vă permit să efectuați două tipuri de operații:
The Remove tools allows you to do 2 kinds of operations:
* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the [[Arch Add]] example
* Eliminați o subcomponentă dintr-un obiect Arch, de exemplu, scoateți o cutie adăugată pe un perete, ca în exemplul [[Arch Add]]
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]
* Scoateți un obiect bazat pe [[Part Module|shape]] dintr-o componentă Arch, cum ar fi [[Arch Wall|wall]] sau [[Arch Structure|structure]]


[[Image:Arch Remove example.jpg|600px]]
[[Image:Arch Remove example.jpg|600px]]

Revision as of 19:32, 22 November 2018

Arch Remove

Menu location
Arch → Remove
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Add

Descriere

Instrumentele de eliminare vă permit să efectuați două tipuri de operații:

  • Eliminați o subcomponentă dintr-un obiect Arch, de exemplu, scoateți o cutie adăugată pe un perete, ca în exemplul Arch Add
  • Scoateți un obiect bazat pe shape dintr-o componentă Arch, cum ar fi wall sau structure

In the above image, a box is being subtracted from a wall

How to use

  1. Select a subcomponent inside an Arch object, or:
  2. Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
  3. Press the Remove button

Scripting

The Remove tool can by used in macros and from the python console by using the following function:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Arch.removeComponents(box)